#ifndef GH_CFE_CPP_FI_H
#define GH_CFE_CPP_FI_H

/* intrinsics */
void __DI(void);
void __EI(void);
int __builtin_va_alist;
int __builtin_va_arg_incr(...);
int __va_aargnum(...);
int __va_ansiarg;
int __va_dargnum(...);
int __va_iargnum(...);
int __va_intreg;
int *__va_stkarg;

unsigned int __DIR(void);
unsigned int __EIR(void);
unsigned int __GETSR(void);
void __MOVEC_ACR0(unsigned int);
void __MOVEC_ACR1(unsigned int);
void __MOVEC_ACR2(unsigned int);
void __MOVEC_ACR3(unsigned int);
void __MOVEC_ACR4(unsigned int);
void __MOVEC_ACR5(unsigned int);
void __MOVEC_ACR6(unsigned int);
void __MOVEC_ACR7(unsigned int);
void __MOVEC_ASID(unsigned int);
void __MOVEC_CACR(unsigned int);
void __MOVEC_CPUCR(unsigned int);
void __MOVEC_MBAR(unsigned int);
void __MOVEC_MBAR2(unsigned int);
void __MOVEC_MMUBAR(unsigned int);
void __MOVEC_RAMBAR0(unsigned int);
void __MOVEC_RAMBAR1(unsigned int);
void __MOVEC_ROMBAR0(unsigned int);
void __MOVEC_ROMBAR1(unsigned int);
void __MOVEC_VBR(unsigned int);
void __RIR(unsigned int);
void __SETSR(unsigned int);
double __double__(double);
float __float__(float);

#else
#error "Multiple include"
#endif  /* ifndef GH_CFE_CPP_FI_H */
